[oe-commits] org.oe.dev opentapi: add (untested) initscript

koen commit openembedded-commits at lists.openembedded.org
Tue Jan 2 14:15:43 UTC 2007


opentapi: add (untested) initscript

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: bfde872216650618f5bcc000a80fe44c151ecd78
ViewMTN: http://monotone.openembedded.org/revision.psp?id=bfde872216650618f5bcc000a80fe44c151ecd78
Files:
1
packages/ezx/opentapi
packages/ezx/opentapi/opentapi.init
packages/ezx/opentapi_svn.bb
Diffs:

#
# mt diff -r52d8fae9fe640efc21863513e68fa8088d7091bf -rbfde872216650618f5bcc000a80fe44c151ecd78
#
# 
# 
# add_dir "packages/ezx/opentapi"
# 
# add_file "packages/ezx/opentapi/opentapi.init"
#  content [80407dd0841b02a37f99e9ed2891bedfbed56437]
# 
# patch "packages/ezx/opentapi_svn.bb"
#  from [cc0e966663cd7c2ea3ec71173b6346cd041b05d3]
#    to [56841474345b080b04da2feda3b3b75ef83baa95]
# 
============================================================
--- packages/ezx/opentapi/opentapi.init	80407dd0841b02a37f99e9ed2891bedfbed56437
+++ packages/ezx/opentapi/opentapi.init	80407dd0841b02a37f99e9ed2891bedfbed56437
@@ -0,0 +1,82 @@
+#! /bin/sh
+# -*- coding: utf-8 -*-
+# init.d script for opentapi
+
+set -e
+
+DAEMON=/usr/bin/opentapi
+NAME=opentapi
+PIDDIR=/var/run/opentapi
+PIDFILE=$PIDDIR/pid
+DESC="OpenTAPI server"
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/opentapi ]; then
+  . /etc/default/opentapis
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+  if [ ! -d $PIDDIR ]; then
+    mkdir -p $PIDDIR
+  fi
+  if [ -e $PIDFILE ]; then
+    PIDDIR=/proc/$(cat $PIDFILE)
+    if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then 
+      echo "$DESC already started; not starting."
+    else
+      echo "Removing stale PID file $PIDFILE."
+      rm -f $PIDFILE
+    fi
+  fi
+
+  echo -n "Starting $DESC: "
+  start-stop-daemon --start --quiet --pidfile $PIDFILE \
+    -exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  if [ -d $EVENTDIR ]; then
+      run-parts --arg=start $EVENTDIR
+  fi
+}
+
+shut_it_down()
+{
+  if [ -d $EVENTDIR ]; then
+      run-parts --reverse --arg=stop $EVENTDIR
+  fi
+  echo -n "Stopping $DESC: "
+  start-stop-daemon --stop  --quiet --pidfile $PIDFILE 
+   
+  # We no longer include these arguments so that start-stop-daemon
+  # can do its job even given that we may have been upgraded.
+  # We rely on the pidfile being sanely managed
+  # --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  rm -f $PIDFILE
+}
+
+case "$1" in
+  start)
+    start_it_up
+  ;;
+  stop)
+    shut_it_down
+  ;;
+  restart|force-reload)
+    shut_it_down
+    sleep 1
+    start_it_up
+  ;;
+  *)
+    echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+    exit 1
+  ;;
+esac
+
+exit 0
============================================================
--- packages/ezx/opentapi_svn.bb	cc0e966663cd7c2ea3ec71173b6346cd041b05d3
+++ packages/ezx/opentapi_svn.bb	56841474345b080b04da2feda3b3b75ef83baa95
@@ -1,14 +1,25 @@ PV = "0.0+svn${SRCDATE}"
 DESCRIPTION = "Open implementation of motorola's tapisrc"
 LICENSE = "GPLv2"
 
 PV = "0.0+svn${SRCDATE}"
 
-SRC_URI = "svn://svn.openezx.org/trunk/src/userspace/;module=opentapi;proto=http"
+SRC_URI = "svn://svn.openezx.org/trunk/src/userspace/;module=opentapi;proto=http \
+           file://opentapi.init \
+          "
 
+inherit update-rc.d
+
+INITSCRIPT_NAME = "opentapi"
+INITSCRIPT_PARAMS = "defaults"
+
+
 S = "${WORKDIR}/${PN}"
 
 do_install() {
 	install -d ${D}${bindir}
 	install -m 755 opentapi ${D}${bindir}
+        
+	install -d ${D}${sysconfdir}/init.d
+        install -m 0755 ${WORKDIR}/opentapi.init ${D}${sysconfdir}/init.d/opentapi
 }
 






More information about the Openembedded-commits mailing list